Activations - Query Activations
Executes a KQL query against the activation records of the specified Reflex and returns the results in tabular format. Supports standard KQL data queries (e.g., table queries, union, filtering, aggregation) and limited management commands (.show tables, .show table {tableName} cslschema). Wildcard union (e.g. union *) is not supported.
Permissions
The caller must have read permission for the reflex.
Required Delegated Scopes
Reflex.Read.All or Reflex.ReadWrite.All or Item.Read.All or Item.ReadWrite.All
Limitations
- Maximum query text length: 1,048,576 characters.
- Queries may time out after approximately 30 seconds.
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/reflexes/{reflexId}/queryActivations
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
reflex
|
path | True |
string (uuid) |
The Reflex ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| query | True |
string maxLength: 1048576 |
The KQL query string to execute against the activation records. Supports standard KQL data queries (e.g., table queries, |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Query executed successfully. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
| Query activations - multiple rules example |
| Query activations - show table schema example |
| Query activations - show tables example |
| Query activations example |
Query activations - multiple rules example
Sample request
POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/reflexes/5b218778-e7a5-4d73-8187-f10824047715/queryActivations
{
"query": "union ruleactivations_341301deecbd499ca5e60fcdc17ca3e2, ruleactivations_a1b2c3d4e5f67890abcdef1234567890 | where ___time > ago(24h) | summarize count() by System.RuleId, bin(___time, 1h)"
}
Sample response
{
"tables": [
{
"tableName": "PrimaryResult",
"columns": [
{
"columnName": "System.RuleId",
"columnType": "String"
},
{
"columnName": "___time",
"columnType": "DateTime"
},
{
"columnName": "count_",
"columnType": "Long"
}
],
"rows": [
[
"341301de-ecbd-499c-a5e6-0fcdc17ca3e2",
"2026-04-29T11:00:00Z",
8
],
[
"341301de-ecbd-499c-a5e6-0fcdc17ca3e2",
"2026-04-29T10:00:00Z",
22
],
[
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"2026-04-29T11:00:00Z",
4
],
[
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"2026-04-29T10:00:00Z",
15
]
]
}
]
}
Query activations - show table schema example
Sample request
POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/reflexes/5b218778-e7a5-4d73-8187-f10824047715/queryActivations
{
"query": ".show table ruleactivations_341301deecbd499ca5e60fcdc17ca3e2 cslschema"
}
Sample response
{
"tables": [
{
"tableName": "PrimaryResult",
"columns": [
{
"columnName": "TableName",
"columnType": "String"
},
{
"columnName": "Schema",
"columnType": "String"
}
],
"rows": [
[
"ruleactivations_341301deecbd499ca5e60fcdc17ca3e2",
"['___time']:datetime,['System.IngestionTime']:datetime,['___id']:string,['___type']:string,['___source']:string,['Signal.Name']:string,['System.RuleId']:string,['System.RuleVersion']:string,['System.RuleName']:string,['System.Rule.LastModifiedBy']:string,['System.Rule.LastModifiedTime']:string,['System.ObjectId']:string,['System.ObjectName']:string,['System.ActionType']:string,['System.Action.Teams.Recipients']:string,['System.Action.Teams.Headline']:string,['System.Action.Teams.Message']:string,['temperature']:real"
]
]
}
]
}
Query activations - show tables example
Sample request
POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/reflexes/5b218778-e7a5-4d73-8187-f10824047715/queryActivations
{
"query": ".show tables"
}
Sample response
{
"tables": [
{
"tableName": "PrimaryResult",
"columns": [
{
"columnName": "TableName",
"columnType": "String"
},
{
"columnName": "DatabaseName",
"columnType": "String"
},
{
"columnName": "Folder",
"columnType": "String"
},
{
"columnName": "DocString",
"columnType": "String"
}
],
"rows": [
[
"ruleactivations_341301deecbd499ca5e60fcdc17ca3e2",
"",
"",
"High temperature alert"
],
[
"ruleactivations_a1b2c3d4e5f67890abcdef1234567890",
"",
"",
"Low battery warning"
]
]
}
]
}
Query activations example
Sample request
POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/reflexes/5b218778-e7a5-4d73-8187-f10824047715/queryActivations
{
"query": "ruleactivations_341301deecbd499ca5e60fcdc17ca3e2 | where ___time > ago(24h) | project ___time, System.RuleName, System.ObjectName, System.ActionType, System.Action.Teams.Headline | take 10"
}
Sample response
{
"tables": [
{
"tableName": "PrimaryResult",
"columns": [
{
"columnName": "___time",
"columnType": "DateTime"
},
{
"columnName": "System.RuleName",
"columnType": "String"
},
{
"columnName": "System.ObjectName",
"columnType": "String"
},
{
"columnName": "System.ActionType",
"columnType": "String"
},
{
"columnName": "System.Action.Teams.Headline",
"columnType": "String"
}
],
"rows": [
[
"2026-04-29T10:15:00Z",
"High Temperature Alert",
"Sensor-5",
"Teams",
"Temperature exceeded threshold"
],
[
"2026-04-29T10:20:00Z",
"Low Battery Warning",
"Device-12",
"Email",
"Battery below 10%"
],
[
"2026-04-29T11:05:00Z",
"Disk Space Critical",
"Server-3",
"Teams",
"Disk usage above 95%"
]
]
}
]
}
Definitions
| Name | Description |
|---|---|
|
Activations |
Describes a column in the activations query result table. |
|
Activations |
A single result table returned by an activations query. |
|
Error |
A structured parameter providing additional machine-readable context about an error. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Kusto |
The KQL scalar data type of a column in the activations query result table. Additional KustoScalarDataType values may be added over time. |
|
Query |
Query activations request payload. |
|
Query |
Query activations response. Contains one result table per statement in the query, in source-text order. |
ActivationsColumn
Describes a column in the activations query result table.
| Name | Type | Description |
|---|---|---|
| columnName |
string |
The name of the column. |
| columnType |
The KQL scalar data type of the column. |
ActivationsTable
A single result table returned by an activations query.
| Name | Type | Description |
|---|---|---|
| columns |
An array describing the columns of the result table. |
|
| rows |
Rows[] |
An array of row arrays. Each inner array contains values positionally aligned with the columns array. |
| tableName |
string |
The name of the result table. For a standard query, the primary result table is named |
ErrorParameter
A structured parameter providing additional machine-readable context about an error.
| Name | Type | Description |
|---|---|---|
| message |
string |
A human-readable description of the parameter's meaning. |
| name |
string |
The parameter identifier. |
| value |
string |
The parameter value. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
KustoScalarDataType
The KQL scalar data type of a column in the activations query result table. Additional KustoScalarDataType values may be added over time.
| Value | Description |
|---|---|
| Bool |
A boolean value (true or false). |
| DateTime |
A date and time value. |
| Decimal |
A 128-bit decimal number. |
| Dynamic |
A dynamic value (JSON-like structure). |
| Guid |
A globally unique identifier. |
| Int |
A 32-bit signed integer. |
| Long |
A 64-bit signed integer. |
| Real |
A 64-bit floating point number. |
| String |
A UTF-8 string value. |
| TimeSpan |
A time interval value. |
QueryActivationsRequest
Query activations request payload.
| Name | Type | Description |
|---|---|---|
| query |
string maxLength: 1048576 |
The KQL query string to execute against the activation records. Supports standard KQL data queries (e.g., table queries, |
QueryActivationsResponse
Query activations response. Contains one result table per statement in the query, in source-text order.
| Name | Type | Description |
|---|---|---|
| tables |
An array of result tables. A single-statement query returns one table; a multi-statement query (for example a |